package com.offcn.imclient.ui;

import android.content.Intent;
import android.os.Handler;

import com.jyall.base.base.BaseActivity;
import com.offcn.imclient.R;
import com.offcn.imclient.util.LoginManager;

/**
 * 闪屏页
 *
 * @author wangwenlong
 * @date 2020/12/10
 */
public class SplashActivity extends BaseActivity {
    private static final String TAG = SplashActivity.class.getSimpleName();

    @Override
    protected int getContentViewLayoutId() {
        return R.layout.activity_splash;
    }

    @Override
    protected void initViewsAndEvents() {
        new Handler().postDelayed(new Runnable() {
            @Override
            public void run() {
                exeLogin();
            }
        }, 1000 * 2);
    }

    @Override
    protected void loadData() {

    }


    private void exeLogin() {
        if (LoginManager.isLogin(this)) {
            startActivity(new Intent(this, MainActivity.class));
        } else {
            startActivity(new Intent(this, LoginActivity.class));
        }

        finish();
    }
}
